
import sys
import os
from mtf_advanced_tuto_fixture import MTFAdvancedTutoFixture
from xtr import logging

sys.path.append(os.path.join(os.path.dirname(__file__), ".."))
logger = logging.getLogger(__name__)


class FixtureDiagnostic(MTFAdvancedTutoFixture):

    @classmethod
    def setUpClass(cls):
        logger.info(
            "Message from FixtureDiagnostic setUpClass function"
        )

    @classmethod
    def tearDownClass(cls):
        logger.info(
            "Message from FixtureDiagnostic tearDownClass function"
        )

    def setUp(self):
        logger.info(
            "Message from FixtureDiagnostic setUp function"
        )

    def tearDown(self):
        logger.info(
            "Message from FixtureDiagnostic tearDown function"
        )
